## org.hibernate.service.jta.platform.internal
Interface TransactionManagerAccess

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AbstractJtaPlatform, BitronixJtaPlatform, BorlandEnterpriseServerJtaPlatform, JBossAppServerJtaPlatform, JBossStandAloneJtaPlatform, JOnASJtaPlatform, JOTMJtaPlatform, JRun4JtaPlatform, OC4JJtaPlatform, OrionJtaPlatform, ResinJtaPlatform, SunOneJtaPlatform, TestingJtaBootstrap.TestingJtaPlatformImpl, TransactionManagerLookupBridge, WeblogicJtaPlatform, WebSphereExtendedJtaPlatform, WebSphereJtaPlatform

    public interface TransactionManagerAccess

extends Serializable

Provides access to a `TransactionManager` for use by `TransactionManager`-based `JtaSynchronizationStrategy` implementations.

Method Summary
`TransactionManager` `getTransactionManager()` Obtain the transaction manager

Method Detail

### getTransactionManager

    TransactionManager getTransactionManager()

  Obtain the transaction manager

  Returns:
    The transaction manager.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.